<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class DerivativeTypesController extends AppController {
	public $scaffold;
	public $uses = array('DerivativeType', 'Derivative');
	public $helpers = array('Menu');
	public $paginate = array('limit' => 20, 'page' => 1, 'order'=>array('DerivativeType.name' => 'ASC'), 'recursive' => -1);
	
	public function index() {
		$types =  $this->paginate('DerivativeType');
		$this->set('types', $types);
	}
	
	public function view($id = null) {
		if ($id === null)
			$this->redirect('/derivative_types');

		$this->DerivativeType->id = $id;
		$this->DerivativeType->recursive = -1;
		$type = current($this->DerivativeType->read());
		$type['derivative_count'] = $this->Derivative->getDerivativesCount('DerivativeType', $id);
		
		$this->set('type', $type);
	}
	
	public function add() {
		if (!empty($this->data)) {
			if ($this->DerivativeType->save($this->data)) {
				$this->smartFlash(__('The type has been added', true),
					'/derivative_types/view/'.$this->DerivativeType->id);
			}
		}
	}
	
	public function edit($id = null) {
		if (empty($this->data)) {
			$this->DerivativeType->id = $id;
			$this->DerivativeType->recursive = -1;
			$this->data = $this->DerivativeType->read();
		}
		
		else {
			if ($this->DerivativeType->save($this->data)) {
				$this->smartFlash(__('The type has been updated', true),
					'/derivative_types/view/'.$this->data['DerivativeType']['id']);
			}
		}
	}
}

?>
