<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
/** Static content controller.
 *
 * This file will render views from views/pages/
 */
class PagesController extends AppController {
	/** Controller name
	 * @var string
	 */
	public $name = 'Pages';
	
	/** Default helpers
	 * @var array
	 */
	public $helpers = array('Html', 'jQuery', 'quicksearch');
	
	/**
	 * This controller does not use a model
	 * @var array
	 */
	public $uses = array();
	
	/** Displays a view
	 * @param mixed What page to display
	 * @access public
	 * @author Cake team
	 */
	function display() {
		if (!func_num_args()) {
			$this->redirect('/');
		}
		$path = func_get_args();

		if (!count($path)) {
			$this->redirect('/');
		}
		$count = count($path);
		$page = null;
		$subpage = null;
		$title = null;

		if (!empty($path[0])) {
			$page = $path[0];
		}
		if (!empty($path[1])) {
			$subpage = $path[1];
		}
		if (!empty($path[$count - 1])) {
			$title = Inflector::humanize($path[$count - 1]);
		}
		$this->set('page', $page);
		$this->set('subpage', $subpage);
		$this->set('title', $title);
		$this->render(join('/', $path));
	}
}
?>