<?php
/**
 * PHP versions 4 and 5
 *
 * CakePHP(tm) :  Rapid Development Framework <http://www.cakephp.org/>
 * Copyright 2005-2008, Cake Software Foundation, Inc.
 *								1785 E. Sahara Avenue, Suite 490-204
 *								Las Vegas, Nevada 89104
 * Copyright 2008 Xavier 'Xr' Dalem
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 */
class AppError extends ErrorHandler {
	/**
	 * Class constructor.
	 *
	 * @param string $method Method producing the error
	 * @param array $messages Error messages
	 */
	function __construct($method, $messages) {
		App::import('Controller', 'App');
		App::import('Core', 'Sanitize');

		$this->controller =& new AppController();
		$this->controller->_set(Router::getPaths());
		$this->controller->params = Router::getParams();
		$this->controller->constructClasses();
		$this->controller->Component->initialize($this->controller);
		$this->controller->_set(array('cacheAction' => false, 'viewPath' => 'errors'));
		
		$sanitize = isset($messages['sanitize']) && $messages['sanitize'];

		$allow = array('.', '/', '_', ' ', '-', '~');
		if (substr(PHP_OS, 0, 3) == "WIN") {
			$allow = array_merge($allow, array('\\', ':'));
		}

		if ($sanitize) {
			$messages = Sanitize::paranoid($messages, $allow);
		}

		if (!isset($messages[0])) {
			$messages = array($messages);
		}

		if (method_exists($this->controller, 'apperror')) {
			return $this->controller->appError($method, $messages);
		}

		if (!in_array(strtolower($method), array_map('strtolower', get_class_methods($this)))) {
			$method = 'error';
		}

		if ($method == 'error') {
			$this->dispatchMethod($method, $messages);
			$this->_stop();
		} elseif (Configure::read() == 0 && (isset($code) && $code == 500)) {
			$this->dispatchMethod('error500', $messages);
			exit();
		} elseif (Configure::read() == 0) {
			$this->dispatchMethod('error404', $messages);
			$this->_stop();
		} else {
			$this->dispatchMethod($method, $messages);
			$this->_stop();
		}
	}
}
?>