<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
class Source extends AppModel {
	public $name = 'Source';
	public $actsAs = array('SimpleXML');
	public $hasMany = array('Derivative');
	
	public function getOrAdd($name) {
		$name = trim($name);
		
		if ($name === '')
			return 0;
		
		$id = $this->find('first', array('fields' => 'id',
			'conditions' => array('name' => $name), 'recursive' => -1));
		
		if (! empty($id))
			return $id['Source']['id'];
		
		else {
			$this->create();
			if ($this->save(array('Source' => array('name' => $name))))
				return $this->getInsertID();
		}
	}
	
	public function findLike($like) {
		$like = trim($like);
		if ($like === '')
			return array();
		
		$this->unbindAll();
		return $this->find('all', array('conditions' => "name LIKE '%$like%'",
			'order' => array('name' => 'ASC')));
	}
}

?>