<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$isEdit = isset($isEdit) && $isEdit;

$menu->relatedTasks(array('Series', 'Author', 'Publisher', 'Collection', 'Binding'));
?>

<form class="addedit" method="post" action="<?=Router::url('/albums/'.($isEdit?'edit':'add'))?>">
<fieldset>
<legend><?=($isEdit?__('Edit an album', true):__('Add an album', true))?></legend>
<?php
if ($isEdit)
	echo $form->hidden('Album.id');
?>
<input type="hidden" name="smartFlash" value="<?=$smartFlash?>" />
<table class="details">
<?php
$jQuery->checkInclude();

echo '<tr><th>'.$form->label('Album.series_id', __('Series', true)).'</th><td>'.$form->select('Album.series_id', $seriesList, null, array(), null)."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.cycle', __('Cycle', true)).'</th><td>'.$form->text('Album.cycle', array('class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.number', __('Number', true)).'</th><td>'.$form->text('Album.number', array('class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.title', __('Title', true)).'</th><td>'.$form->text('Album.title')."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.publisher_id', __('Publisher', true)).'</th><td>'.$form->select('Album.publisher_id', $publishersList, null, array(), null)."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.collection_id', __('Collection', true)).'</th><td>'.$form->select('Album.collection_id', $collectionsList, null, array(), __('[ none ]', true))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.first_edition', __('First edition', true)).'</th><td>'.$form->text('Album.first_edition', array('class' => 'date'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.this_edition', __('This edition', true)).'</th><td>'.$form->text('Album.this_edition', array('class' => 'date'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.purchase_date', __('Purchase date', true)).'</th><td>'.$form->text('Album.purchase_date', array('class' => 'date'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.height', __('Height', true)).'</th><td>'.$form->text('Album.height', array('class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.width', __('Width', true)).'</th><td>'.$form->text('Album.width', array('class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.pages', __('Pages', true)).'</th><td>'.$form->text('Album.pages', array('class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.binding_id', __('Binding', true)).'</th><td>'.$form->select('Album.binding_id', $bindingsList, null, array(), null)."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.price', __('Price', true)).'</th><td>'.$form->text('Album.price', array('class' => 'number'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.isbn', __('ISBN', true)).'</th><td>'.$form->text('Album.isbn')."</td></tr>\n";
echo '<tr><th>'.$form->label('Writer.Writer', __('Writers', true)).'</th><td>'.$form->select('Writer.Writer', $authorsList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight')), null)."</td></tr>\n";
echo '<tr><th>'.$form->label('Artist.Artist', __('Artists', true)).'</th><td>'.$form->select('Artist.Artist', $authorsList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight')), null)."</td></tr>\n";
echo '<tr><th>'.$form->label('Colorist.Colorist', __('Colorists', true)).'</th><td>'.$form->select('Colorist.Colorist', $authorsList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight')), null)."</td></tr>\n";
echo '<tr><th>'.$form->label('Tag.Tag', __('Tags', true)).'</th><td>'.$form->text('Tag.Tag');
?>

<a class="helper">+</a>
<div id="tag_helper">
<?php foreach($tagsList as $tag) echo "<span>$tag</span> "; ?>
</div>
<script type="text/javascript">
jQuery(function() {
	// Tags
	jQuery('div#tag_helper').hide();
	
	jQuery('div#tag_helper span').bind('click', function(ev) {
		var val = jQuery('input#TagTag').val();
		if (val.length > 0 && val[val.length-1] != ',')
			val += ',';
		val += this.innerHTML;
		jQuery('input#TagTag').val(val);
	});
	
	// Show on click
	jQuery('a.helper').bind('click', function() {
		jQuery('div#tag_helper').show();
	});
	
	// Hide if clicked outside
	jQuery(document).bind('click', function(e) {
		var source = jQuery(e.target);
		if (!source.is('a.helper')
				&& !source.is('div#tag_helper')
				&& !source.parent().is('div#tag_helper'))
			jQuery('div#tag_helper').hide();
	});
	
	// Hide if next field is focused
	jQuery('textarea#AlbumSummary').focus(function() {
		jQuery('div#tag_helper').hide();
	});
	
	// Hide on reset
	jQuery('input[type="reset"]').bind('click', function() {
		jQuery('div#tag_helper').hide();
	});
});
</script>

<?
echo "</td></tr>\n";
echo '<tr><th>'.$form->label('Album.summary', __('Summary', true)).'</th><td>'.$form->textarea('Album.summary', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.comment', __('Comment', true)).'</th><td>'.$form->textarea('Album.comment', Configure::read('Demyo.View_textareaAttribs'))."</td></tr>\n";
echo '<tr><th>'.$form->label('Album.cover_id', __('Cover', true)).'</th><td>'.$form->select('Album.cover_id', $imagesList, null, array(), __('[ none ]', true))."</td></tr>\n";
echo '<tr><th>'.$form->label('Image.Image', __('Images', true)).'</th><td>'.$form->select('Image.Image', $imagesList, null, array('multiple' => 'multiple', 'size' => Configure::read('Demyo.View_multiSelectHeight')), null)."</td></tr>\n";
?>
</table>
<script type="text/javascript">
//<![CDATA[
jQuery('input.number').not('input#AlbumNumber').numberField({ default: 1 });
jQuery('input#AlbumNumber').numberField({ default: 1, allowFloat: true });
jQuery('input.date').date_input();

var initialPublisherID = <?=empty($this->data['Album']['publisher_id'])?0:$this->data['Album']['publisher_id']?>;
var initialCollectionID = <?=empty($this->data['Album']['collection_id'])?0:$this->data['Album']['collection_id']?>;

function updateCollectionList() {
	var id = jQuery('select#AlbumPublisherId').val();
	jQuery.get('<?=Router::url('/collections/fromPublisher/')?>'+id, function(data) {
		jQuery('select#AlbumCollectionId').html('<option value=""><?php __('[ none ]') ?><\/option>' + data);
		
		// Reset to initial collection if publisher goes back to initial value
		if (id == initialPublisherID)
			jQuery('select#AlbumCollectionId').val(initialCollectionID);
	});
}

jQuery(function() {
	jQuery('select#AlbumPublisherId').bind('change', updateCollectionList);
	jQuery('input[type="reset"]').bind('click', function() {
		// On reset, reload the correct collection list
		jQuery('select#AlbumPublisherId').val(initialPublisherID);
		jQuery('select#AlbumPublisherId').trigger('change');
	});
	updateCollectionList();
});
//]]>
</script>
<div class="buttons"><input type="submit" value="<?php if ($isEdit) __('Update'); else __('Add')?>" /><input type="reset" value="<?php __('Reset')?>" /></div>
</fieldset>
</form>