<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$menu->makeQuickMenu(__('Quick menu', true), 'quickmenu',
	array(
		array('title' => __('Edit this author', true),
			'url' => '/authors/edit/'.$author['id']
			),
		array('title' => __('Delete this author', true),
			'url' => '/authors/delete/'.$author['id'],
			'confirm' => __('Are you sure you want to delete this author?', true)
			)
	)
);
?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?=$author['meta_name']?></td></tr>
	
	<?php if (!empty($author['website'])): ?>
	<tr><th><?php __('Website') ?></th><td><a href="<?=$author['website']?>"><?=$author['website']?></a></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($author['biography'])): ?>
	<tr><th><?php __('Biography') ?></th><td><?=nl2br($author['biography'])?></td></tr>
	<?php endif; ?>
	
	<?php if (! empty($asArtist)): ?>
	<tr><th><?php __('Has drawn albums from') ?></th>
	<td><?=$list->seriesAlbumShortList($asArtist)?></td></tr>
	<?php endif; ?>
	
	<?php if (! empty($asWriter)): ?>
	<tr><th><?php __('Has written albums from') ?></th>
	<td><?=$list->seriesAlbumShortList($asWriter)?></td></tr>
	<?php endif; ?>
	
	<?php if (! empty($asColorist)): ?>
	<tr><th><?php __('Has colored albums from') ?></th>
	<td><?=$list->seriesAlbumShortList($asColorist)?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($author['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?=$html->link(__s('View %d derivatives for this author', $author['derivative_count']), '/derivatives/index/fromArtist:'.$author['id'])?>
	<a id="derivatives-inliner" href="#inline-derivatives">(<?php __('view them here')?>)</a></td></tr></td></tr>
	<?php endif; ?>
</table>

<?=$list->seriesAlbumShortListJSEnabler()?>

<div id="inline-derivatives" style="display: none"><div class="spinner"><?=__('Loading')?></div></div>

<script type="text/javascript">
jQuery('a#derivatives-inliner').one('click', showInlineDerivatives);
function showInlineDerivatives() {
	jQuery('div#inline-derivatives').show();
	jQuery.get('<?=Router::url(array('controller' => 'derivatives', 'action' => 'index', 'fromArtist' => $author['id'], 'ajax' => 'true'))?>', {}, function(data) {
		jQuery('div#inline-derivatives').html(data);
		<?php echo $shadowbox->init(false);?>
	});
}
</script>
