<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
/** Returns the CSS class for a given file, which depends on file type.
 * @param file The path to the file we want a class for.
 */
function getCSSClass($file) {
	$info = pathinfo($file);
	$ext = strtolower($info['extension']);

	switch ($ext) {
		case 'gif':
		case 'jpg':
		case 'bmp':
		case 'png':
			$class = 'image';
			break;
		case 'txt':
			$class = 'text';
			break;
		default:
			$class = 'generic';
	}

	return $class;
}


if ($isAjax) {
	echo '<ul id="filelist">';
	if ($isBelowRoot)
		echo '<li class="parent" onclick="browse(\''.$base.'/..\')">..</li>';
	if (count($fileList['files']) == 0 && count($fileList['dirs']) == 0)
		echo '<li class="remark">'.__('Empty directory', true).'</li>';
	
	foreach($fileList['dirs'] as $dir)
		echo '<li class="folder"><span onclick="browse(\''.$dir.'\')">'.basename($dir).'</span></li>';
	foreach($fileList['files'] as $file)
		echo '<li class="'.getCSSClass($file).'"><span onclick="select(\''.$file.'\')" ondblclick="window.open(\''.$file.'\')">'
			.basename($file).'</span> <span class="notice" onclick="preview(\''.$file.'\')">('.__('View', true).')</span></li>';
	echo '</ul>';
}



else {
	$jQuery->checkInclude();
?>
<script type="text/javascript">
function select(path) {
	window.opener.document.getElementById('ImageUrl').value = '<?=DEMYO_IMAGES_DIR?>/'+path;
	window.close();
}

function preview(path) {
	window.open('<?=Router::url('/'.DEMYO_IMAGES_URL)?>'+path, '', 'menubar=no,resizable=yes,scrollbars=yes,toolbar=no,status=no,directories=no');
}

function browse(path) {
	jQuery.post(
		'<?=Router::url("/images/browser", true);?>',
			{'data[Browser][path]': path},
			function(responseText, textStatus) {
				document.getElementById('filebrowser').innerHTML = responseText;
		}
	);
}
jQuery(function() {
	browse('');
});
</script>

<div id="filebrowser">File browser is currently loading.</div>
<?php
}
?>
