<?php
/* Copyright 2007, 2008 Xavier 'Xr' Dalem
 * 
 * This file is part of Demyo. Demyo is free software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version 3,
 * as published by the Free Software Foundation.
 * 
 * Demyo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU GPLv3 for more details.
 */
$menu->makeQuickMenu(__('Quick menu', true), 'quickmenu',
	array(
		array('title' => __('Edit this series', true),
			'url' => '/series/edit/'.$series['Series']['id']
			),
		array('title' => __('Add an album to this series', true),
			'url' => '/albums/add/series:'.$series['Series']['id']
			),
		array('title' => __('Add a derivative to this series', true),
			'url' => '/derivatives/add/toSeries:'.$series['Series']['id']
			),
		array('title' => __('Delete this series', true),
			'url' => '/series/delete/'.$series['Series']['id'],
			'confirm' => __('Are you sure you want to delete this series?', true)
			)
	)
);

$isInternetExplorer = isset($_SERVER['HTTP_USER_AGENT'])
	&& (preg_match("/MSIE [0-6]/", $_SERVER['HTTP_USER_AGENT']));

?>
<table class="details">
	<tr><th><?php __('Name') ?></th><td><?=$series['Series']['name']?></td></tr>
	
	<?php if (!empty($series['Series']['website'])): ?>
		<tr><th><?php __('Website') ?></th><td><a href="<?=$series['Series']['website']?>"><?=$series['Series']['website']?></a></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($series['Series']['summary'])): ?>
		<tr><th><?php __('Summary') ?></th><td><?=nl2br($series['Series']['summary'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($series['Series']['comment'])): ?>
		<tr><th><?php __('Comment') ?></th><td><?=nl2br($series['Series']['comment'])?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($artists)): ?>
		<tr><th><?php __('Related artists') ?></th>
		<td><?=$list->CSVList($artists, array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($writers)): ?>
		<tr><th><?php __('Related writers') ?></th>
		<td><?=$list->CSVList($writers, array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($colorists)): ?>
		<tr><th><?php __('Related colorists') ?></th>
		<td><?=$list->CSVList($colorists, array('meta_name'), '/authors/view/%d')?></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($series['Series']['derivative_count'])): ?>
	<tr><th><?php __('Derivatives') ?></th>
	<td><?=$html->link(__s('View %d derivatives for this series', $series['Series']['derivative_count']), '/derivatives/index/fromSeries:'.$series['Series']['id'])?>
	<a id="derivatives-inliner" href="#inline-derivatives">(<?php __('view them here')?>)</a></td></tr>
	<?php endif; ?>
	
	<?php if (!empty($series['RelatedSeries'])): ?>
		<tr><th><?php __('Related series') ?></th>
		<td><?=$list->CSVList($series['RelatedSeries'], array('name'), '/series/view/%d')?></td></tr>
	<?php endif; ?>
</table>

<p class="series_status">
<?php
if ($series['Series']['completed']) {
	echo $html->image('stop.png');
	__('This series is over');
} else {
	echo $html->image('play.png');
	__('This series is ongoing');
}
?>
</p>
<?php
	if (!empty($series['Album'])):
		$jQuery->checkInclude();



	$numCovers = 0;
	$coverList = "<ul id=\"covers\">\n";
	
	foreach ($series['Album'] as $album) {
		$coverList .= "\t<li><a href=\"#item{$album['id']}\">";
		if (! empty($album['Cover']['id'])) {
		$alt = __('Cover', true);
			$coverList .= $html->image($album['Cover']['thumb_url'], array('alt' => $alt, 'title' => $album['title']));
			$numCovers++;
		} else
			$coverList .= '<span>?</span>';
		$coverList .= "</a></li>\n";
	}
	
	$coverList .= '</ul>';
	
	// It makes no sense to print nothing but interrogation marks, or even one
	// cover
	if ($numCovers > 1) {
		// IE 6 prints the covers and allows to select one but enlarges it to maximum width
		// Didn't actually tried with IE7
		if ($isInternetExplorer)
			$jQuery->warning(__('Versions of Internet Explorer prior to Internet '
				.'Explorer 7 suffer from bugs that may prevent them from rendering all '
				.'features properly. Consider upgrading to another browser (such as Firefox).', true));
		
		echo $coverList;
		
		// Using the auto-extend doesn't work on IE: the elements are extended
		// to the full rectangle width. Instead of not showing anything, let's
		// degrade to the static and less pretty behavior of using a fixed extend width
		if ($isInternetExplorer) {?>
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function() {
	jQuery('ul#covers').slider({extend: 50});
});
</script>
		<?php } else { ?>
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function() {
	jQuery('ul#covers').slider();
});
</script>
		<?php }
	}
	
	echo $shadowbox->init();
?>

<script type="text/javascript">
function toggleAlbumDetails(self, id) {
	if (self.innerHTML == '[-]') {
		jQuery(id).slideUp();
		self.innerHTML = '[+]';
	} else {
		jQuery(id).slideDown();
		self.innerHTML = '[-]';
	}
}

function hideAll() {
	jQuery('div.details').slideUp();
	jQuery('div#series_albums h3 a').each(function() {
		if (this.innerHTML == '[-]')
			this.innerHTML = '[+]';
	});
}

function showAll() {
	jQuery('div.details').slideDown();
	jQuery('div#series_albums h3 a').each(function() {
		if (this.innerHTML == '[+]')
			this.innerHTML = '[-]';
	});
}
</script>

<div id="series_albums">
	<h2><?php __('Albums in this series') ?></h2>
	<p class="show_hide"><a onclick="showAll()"><?php __('Expand all details') ?></a>&nbsp;-&nbsp;<a onclick="hideAll()"><?php __('Hide all details') ?></a></p>
	<form action="<?=Router::url('/borrowers/lend')?>" method="post">
<?php
	$linkTitle = __('Click to show/hide', true);
	
	$fieldConfig = Configure::read('Demyo.View_seriesAlbumDetails');
	
	// Store strings in locale array to avoid redundant calls
	$locale['viewAlbumImg'] = $html->image('view-small.png', array('alt' =>  __('View album details', true))); 
	$locale['editAlbumImg'] = $html->image('edit-small.png', array('alt' =>  __('Edit this album', true)));
	$locale['viewAlbumText'] = __('View album details', true);
	$locale['editAlbumText'] = __('Edit this album', true);
	
	$i=0;
	foreach ($series['Album'] as &$album) {
		// Build album title
		$title = '';
		if (!empty($album['cycle']) && !empty($album['number']))
			$title .= $album['cycle'].'.';
		if (!empty($album['number']))
			$title .= $album['number'].'.&nbsp;';
		$title .= $album['title'];
		
		// Fix dates
		$album['purchase_date'] = __date($album['purchase_date']);
		$album['first_edition'] = __date($album['first_edition']);
		$album['this_edition'] = __date($album['this_edition']);
		
		// Make checkbox for lending
		if (empty($album['Borrower']))
			$check = "<input type=\"checkbox\" class=\"lend\" name=\"data[Album][{$album['id']}]\" />";
		else
			$check = "<input type=\"checkbox\" class=\"lend\" disabled=\"disabled\" />";
		?>
		
		<h3 id="<?="item{$album['id']}"?>">
			<?=$check?>
			<?=$title?>
			<a href="<?=Router::url('/albums/view/'.$album['id'])?>" title="<?=$locale['viewAlbumText']?>"><?=$locale['viewAlbumImg']?></a>
			<a href="<?=Router::url('/albums/edit/'.$album['id'])?>" title="<?=$locale['editAlbumText']?>"><?=$locale['editAlbumImg']?></a>
			<a onclick="toggleAlbumDetails(this, '#album<?=$i?>')" title="<?=$linkTitle?>">[-]</a>
		</h3>
		
		<?php
		
		echo "\t<div class=\"details\" id=\"album$i\">\n";
		
		if (! empty($album['Cover']['id']))
			echo $shadowbox->thumb($album['Cover']['url'], $album['Cover']['thumb_url'],
				array('alt' => __('Cover', true), 'isLocal' => $album['Cover']['is_local'], 'group' => 'covers'));
		
		// DETAILS START
		?>
		<table class="details">
		
		<?php if ($fieldConfig['Publisher']) { ?>
		<tr><th><?php __('Publisher') ?></th><td><?=$html->link($album['Publisher']['name'],'/publishers/view/'.$album['publisher_id'])?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Collection'] && !empty($album['collection_id'])) { ?>
		<tr><th><?php __('Collection') ?></th><td><?=$html->link($album['Collection']['name'],'/collections/view/'.$album['collection_id'])?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Artists'] && !empty($album['Artist'])) { ?>
		<tr><th><?php __('Artists') ?></th><td><?=$list->CSVList($album['Artist'], array('meta_name'), '/authors/view/%d')?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Writers'] && !empty($album['Writer'])) { ?>
		<tr><th><?php __('Writers') ?></th><td><?=$list->CSVList($album['Writer'], array('meta_name'), '/authors/view/%d')?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Colorists'] && !empty($album['Colorist'])) { ?>
		<tr><th><?php __('Colorists') ?></th><td><?=$list->CSVList($album['Colorist'], array('meta_name'), '/authors/view/%d')?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Edition'] && !(empty($album['first_edition']) && empty($album['this_edition']))) {
			if (!empty($album['first_edition']) && $album['first_edition'] == $album['this_edition'])
				echo "\t\t<tr><th>".__('Edition', true).'</th><td>'.$album['first_edition'].' ('.__('First edition', true).")</td></tr>\n";
			else {
				if (!empty($album['first_edition']))
					echo "\t\t<tr><th>".__('First edition', true).'</th><td>'.$album['first_edition']."</td></tr>\n";
				if (!empty($album['this_edition']))
					echo "\t\t<tr><th>".__('Edition', true).'</th><td>'.$album['this_edition']."</td></tr>\n";
			}	
		} ?>
		
		<?php if ($fieldConfig['Purchase date'] && !empty($album['purchase_date'])) { ?>
		<tr><th><?php __('Purchase date') ?></th><td><?=$album['purchase_date']?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Book binding'] && !empty($album['binding_id'])) { ?>
		<tr><th><?php __('Book binding') ?></th><td><?=$album['Binding']['name']?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Size'] && !(empty($album['width']) || empty($album['height']))) { ?>
		<tr><th><?php __('Size') ?></th><td><?=$album['height']?> x <?=$album['width']?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Pages'] && !empty($album['pages'])) { ?>
		<tr><th><?php __('Pages') ?></th><td><?=$album['pages']?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Price'] && !empty($album['price'])) { ?>
		<tr><th><?php __('Price') ?></th><td><?=$album['price']?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Tags'] && !empty($album['Tag'])) { ?>
		<tr><th><?php __('Tags') ?></th><td><?=$list->CSVList($album['Tag'], array('name'), '/tags/view/%d')?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['Borrower'] && !empty($album['Borrower'])) { ?>
		<tr><th><?php __('Lended to') ?></th><td><?=__s('%s since %s',
			$album['Borrower'][0]['meta_name'],
			__date($album['Borrower'][0]['AlbumsBorrower']['borrow_date']))?></td></tr>
		<?php } ?>
		
		<?php if ($fieldConfig['ISBN'] && !empty($album['isbn'])) { ?>
		<tr><th><?php __('ISBN') ?></th><td><?=$album['isbn']?></td></tr>
		<?php } ?>
	
		<?php if ($fieldConfig['Summary'] && !empty($album['summary'])) { ?>
		<tr><th><?php __('Summary') ?></th><td><?=nl2br($album['summary'])?></td></tr>
		<?php } ?>
	
		<?php if ($fieldConfig['Comment'] && !empty($album['comment'])) { ?>
		<tr><th><?php __('Comment') ?></th><td><?=nl2br($album['comment'])?></td></tr>
		<?php } ?>
		
		
		</table>
		<div class="clearer"></div>
		</div>
		
		<?php
		// DETAILS END
		
		$i++;
	}
?>
	<div id="lender"><input type="submit" value="<?php __('Lend these albums to')?>" id="submitter" /><input type="text" name="data[Borrower][name]" value="" id="borrower" /></div>
	</form>
</div>
<?php endif; ?>

<div id="inline-derivatives" style="display: none"><div class="spinner"><?=__('Loading')?></div></div>

<script type="text/javascript">
jQuery('a#derivatives-inliner').one('click', showInlineDerivatives);
function showInlineDerivatives() {
	jQuery('div#inline-derivatives').show();
	jQuery.get('<?=Router::url(array('controller' => 'derivatives', 'action' => 'index', 'fromSeries' => $series['Series']['id'], 'ajax' => 'true'))?>', {}, function(data) {
		jQuery('div#inline-derivatives').html(data);
		jQuery(document).trigger('load'); // Re-trigger shadowbox, which was patched in r300 to make this possible
	});
}
</script>
